Package de.willuhn.jameica.hbci.passports.pintan

# Class ChipTANDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.passports.pintan.TANDialog
de.willuhn.jameica.hbci.passports.pintan.ChipTANDialog

public class ChipTANDialog extends TANDialog
Dialog für die ChipTAN (OPTIC und USB).

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.passports.pintan.TANDialog

`config, i18n, WINDOW_HEIGHT, WINDOW_WIDTH`

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`ChipTANDialog(PinTanConfig config, String code)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extendBottom(de.willuhn.jameica.gui.util.Container c)`
Erweitert den Dialog unten.
`protected void`
`extendTop(de.willuhn.jameica.gui.util.Container container)`
Erweitert den oben..
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`setText(String text)`
Speichert den anzuzeigenden Text.

### Methods inherited from class de.willuhn.jameica.hbci.passports.pintan.TANDialog

`getContext, getData, setContext, setInfoText, setNeedTAN, setShowTAN, setTAN`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChipTANDialog

public ChipTANDialog(PinTanConfig config, String code) throws RemoteException, de.willuhn.util.ApplicationException
ct.

Parameters:
  `config` - die PINTAN-Config.
  `code` - der Flicker-Code.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException` - wenn der Flicker-Code nicht geparst werden konnte.

## Method Details

### setText

public void setText(String text)
Description copied from class: `TANDialog`
Speichert den anzuzeigenden Text.

Overrides:
  `setText` in class `TANDialog`
Parameters:
  `text` - der anzuzeigende Text.
See Also:
  - `TANDialog.setText(java.lang.String)`

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Overrides:
  `paint` in class `TANDialog`
Throws:
  `Exception`
See Also:
  - `TANDialog.paint(org.eclipse.swt.widgets.Composite)`

### extendTop

protected void extendTop(de.willuhn.jameica.gui.util.Container container) throws Exception
Description copied from class: `TANDialog`
Erweitert den oben..

Overrides:
  `extendTop` in class `TANDialog`
Parameters:
  `container` - der Container.
Throws:
  `Exception`
See Also:
  - `TANDialog.extendTop(de.willuhn.jameica.gui.util.Container)`

### extendBottom

protected void extendBottom(de.willuhn.jameica.gui.util.Container c) throws Exception
Description copied from class: `TANDialog`
Erweitert den Dialog unten.

Overrides:
  `extendBottom` in class `TANDialog`
Parameters:
  `c` - der Container.
Throws:
  `Exception`
See Also:
  - `TANDialog.extendBottom(de.willuhn.jameica.gui.util.Container)`